Subject: Re: bug#71638: 30.0.50; Compilation warnings

From: Eli Zaretskii <[email-masked]>
Date: Thu, 20 Jun 2024 18:48:16 +0300

> From: Rudolf Adamkovič <[email-masked]>
> Cc: Po Lu <[email-masked]>, [email-masked]
> Date: Thu, 20 Jun 2024 15:24:19 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thanks, I tried to fix that now on master.
> 
> All warnings are gone *except* this one:
> 
> xwidget.c:492:17: warning: variable 'f' set but not used
>   struct frame *f = NULL;
>                 ^

Sorry, this one you will have to live with: the setting of 'f' is part
of checking the validity of the function's arguments, so it must be
left alone.

> Also, CC'in Po Lu, as after his 'cebca072c33', I *cannot build*:
> 
>   CC       nsxwidget.o
> nsfns.m:1320:3: error: use of undeclared identifier 'image_cache_refcount'
>   image_cache_refcount =
>   ^
> nsfns.m:3025:3: error: use of undeclared identifier 'image_cache_refcount'
>   image_cache_refcount =
>   ^
> 2 errors generated.

Please try again, I think this was fixed meanwhile.

> > In the future, please try to fix this on your system, because that's
> > the best place to make sure the changes indeed eliminate the warnings.
> 
> Honestly, I did not want to risk wasting more of your time that way.

It's the other way around, actually.